package com.cim.idm.wmspackage.site.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class Site extends FieldAccessor implements DataInfo<SiteKey> {

	private SiteKey key;
	
	private String description;
	private String address;
	
	@UserColumnMark
	private String userColumn1;
	
	public Site(){}
	public Site(String siteName, String description, String address) {
		this.key = new SiteKey(siteName);
		this.description = description;
		this.address = address;
	}

	@Override
	public SiteKey getKey() {
		return key;
	}

	@Override
	public void setKey(SiteKey keyInfo) {
		this.key = keyInfo;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}
	public String getUserColumn1() {
		return userColumn1;
	}
	public void setUserColumn1(String userColumn1) {
		this.userColumn1 = userColumn1;
	}

	
	
}
